# Uses of Class
javafx.animation.KeyFrame

Packages that use KeyFrame
Package
Description
javafx.animation
Provides the set of classes for ease of use transition based animations.

## Uses of KeyFrame in javafx.animation

Methods in javafx.animation that return types with arguments of type KeyFrame
Modifier and Type
Method
Description
`final ObservableList<KeyFrame>`
Timeline.`getKeyFrames()`
Returns the `KeyFrames` of this `Timeline`.
Constructors in javafx.animation with parameters of type KeyFrame
Modifier
Constructor
Description
``
`Timeline(double targetFramerate, KeyFrame... keyFrames)`
The constructor of `Timeline`.
``
`Timeline(KeyFrame... keyFrames)`
The constructor of `Timeline`.